import { PropType } from 'vue';
import { IOrganizationTreeItem } from '../../interface';
import { ICanvasState, IConnectorState, IDraggedItem, IPointTarget } from './interface';
declare const _default: import("vue").DefineComponent<{
    canvasState: {
        required: true;
        type: PropType<ICanvasState>;
    };
    connectorState: {
        required: true;
        type: PropType<IConnectorState>;
    };
    isDragged: {
        required: false;
        type: BooleanConstructor;
    };
    isEditable: {
        required: false;
        type: BooleanConstructor;
    };
    item: {
        required: true;
        type: PropType<IOrganizationTreeItem>;
    };
    selectedConnection: {
        required: false;
        type: PropType<string | null>;
    };
}, unknown, unknown, {
    getItemPosition(): {
        left: string | number;
        top: string | number;
    };
    isConnecting(): boolean;
}, {
    getCoordinatesMove(ev: MouseEvent | TouchEvent): {
        x: number;
        y: number;
    };
    handleCircleDoubleClick(indexConnection: number, indexCircle: number): void;
    handleClickIO(ev: MouseEvent | TouchEvent, targetIO: number): void;
    handleClickPoint(ev: MouseEvent | TouchEvent, indexConnection: number, indexPoint: number): void;
    handleConnectionClick(index: number): void;
    handleConnectionDoubleClick(ev: MouseEvent, index: number): void;
    handleItemClick(ev: MouseEvent | TouchEvent): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    changePoint: (_item: IOrganizationTreeItem, _index: number) => true;
    dragItem: (_item: IDraggedItem) => true;
    dragConnection: (_io: string, _fromRect: DOMRect) => true;
    dragPoint: (_target: IPointTarget, _fromRect: DOMRect) => true;
    selectConnection: (_connectionKey: string) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    canvasState: {
        required: true;
        type: PropType<ICanvasState>;
    };
    connectorState: {
        required: true;
        type: PropType<IConnectorState>;
    };
    isDragged: {
        required: false;
        type: BooleanConstructor;
    };
    isEditable: {
        required: false;
        type: BooleanConstructor;
    };
    item: {
        required: true;
        type: PropType<IOrganizationTreeItem>;
    };
    selectedConnection: {
        required: false;
        type: PropType<string | null>;
    };
}>> & {
    onChangePoint?: ((_item: IOrganizationTreeItem, _index: number) => any) | undefined;
    onDragItem?: ((_item: IDraggedItem) => any) | undefined;
    onDragConnection?: ((_io: string, _fromRect: DOMRect) => any) | undefined;
    onDragPoint?: ((_target: IPointTarget, _fromRect: DOMRect) => any) | undefined;
    onSelectConnection?: ((_connectionKey: string) => any) | undefined;
}, {
    isDragged: boolean;
    isEditable: boolean;
}, {}>;
export default _default;
